Установка drush drupal на Сentos 7

Продолжаю записки для себя.

Шаг 1. Сначала начнем с обновления вашей системы.

yum clean all

yum -y update

Шаг 2. Ставим Drush.

Установливаем Composer, если еще не установлен

composer global require drush/drush

Если вы хотите установить определенную версию Drush, выполните следующую команду. Например, Drush 8.1.0:

composer global require drush/drush:8.1.0

Настраиваем путь для бинарных файлов Drush:

composer config bin-dir /usr/local/bin

Установка непосредственно Drush:
composer install 

Проверьте Drush, используя команду ниже:

drush status

Следом необходимо обновить до последней версии:

composer global update

Следует обратить внимание, что некоторые команды Composer, в том числе exec, install и update, позволяют выполнять сторонний код в вашей системе.
Это происходит из-за возможностей «плагинов» и «скриптов». Плагины и скрипты имеют полный доступ к учетной записи пользователя, которая запускает Composer.
По этой причине настоятельно рекомендуется избегать использования Composer в качестве суперпользователя - root.

Вы можете отключить плагины и скрипты во время установки пакета или обновления со следующим синтаксисом, будет выполняться только код Composer и никакой сторонний код:

composer install --no-plugins --no-scripts ...

composer update --no-plugins --no-scripts ...

Команда exec всегда будет запускать сторонний код как пользователь, который запускает Composer. В некоторых случаях, например, в системах CI или таких, где вы хотите установить ненадежные зависимости, самый безопасный способ сделать это - запустить приведенную выше команду.
 

Теги: 

Похожие материалы по этой теме на сайте

Содержимое
Вот такое НАТО
Foxit PDF reader

Компактный и быстрый просмотрщик PDF-файлов.

Документация по BartPE

В этом разделе:

ПАНЕЛЬ УПРАВЛЕНИЯ СЕРВЕРОМ VESTA ...
Carrier IQ что это?

Новый кошмар: несколько последних  дней интернет лихорадит от скандала вокруг Carrier IQ — компании, чьи программы для смартфонов еще в середине ноября застукали за методичным сбором личных данных пользователя...

UFS Explorer PRO v.3.18.3

WIM-Плагин для UFS Explorer PRO v.3.18.3 RUS - содержит файлы программы.

Перерыв в работе сегодня

Хочу пролить истину на отсутствие доступа к сайту с 10 часов утра по Москве. Вот, что написал провайдер:

Active@ Boot Disk 5.0.5 WIM

WIM-плагин для базовых утилит из Active@ Boot Disk 5.0.5 - содержит файлы программы и руководства пользователя.